# MatMatMult

Performs Matrix-Matrix Multiplication C=A*B.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatMatMult(Mat A,Mat B,MatReuse scall,PetscReal fill,Mat *C)

Collective on Mat

### Input Parameters

| A | - the left matrix
| B | - the right matrix
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX
| fill | - expected fill as ratio of nnz(C)/(nnz(A) + nnz(B))

### Output Parameters

C -the product matrix

### Notes

C will be created and must be destroyed by the user with MatDestroy(). Unless scall is MAT_REUSE_MATRIX

If you have many matrices with the same non-zero structure to multiply, you should either

      1) use MAT_REUSE_MATRIX in all calls but the first or

      2) call MatMatMultSymbolic() once and then MatMatMultNumeric() for each product needed

### See Also

MatMatMultSymbolic(), MatMatMultNumeric(), MatPtAP()

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages